Bug 249398 - g++ fails during compilation
g++ fails during compilation
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: gcc4 (Show other bugs)
7
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-07-24 09:04 EDT by Sergey V. Belovolov
Modified: 2007-11-30 17:12 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-08-27 07:11:37 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Sergey V. Belovolov 2007-07-24 09:04:00 EDT
Description of problem:
Sometimes when compiling cpp code that has user-defined temlates with nested 
temlates system giving up to response for about 40-50 minutes. Then compilation 
fails with message:
{standard input}: Assembler messages:
{standard input}:2986612: Warning: end of file in string; '"' inserted
g++: Внутренняя ошибка: Убито (программа cc1plus)

Version-Release number of selected component (if applicable):
gcc 4.1.2 20070502 (Red Hat 4.1.2-12)
x86_64-redhat-linux

How reproducible:
Effect not stable.


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Using UTF-8 locale with Russian symbols.
Comment 1 Jakub Jelinek 2007-07-24 09:33:57 EDT
If it is reproduceable, always on the same source with the same g++ arguments,
then please attach a preprocessed source for that file.
Without it there isn't anything we can do for this.
Comment 2 Jakub Jelinek 2007-08-27 07:11:37 EDT
No reply in more than a month, closing.

Note You need to log in before you can comment on or make changes to this bug.